Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Attributes | List of all members
WxAppShell Class Reference
Inheritance diagram for WxAppShell:

## Public Member Functions
| __init__ (self, *args, **kw)
| appInit (self)
| USER METHODS ### To be overridden.
| createInterface (self)
| createMenuBar (self)
| onDestroy (self, event)
| quit (self, event=None)
| showAbout (self, event)

## Public Attributes
| about
| menuBar = wx.MenuBar()
| menuFile = wx.Menu()
| menuHelp = wx.Menu()
| quit = self.menuFile.Append(wx.ID_EXIT, "&Quit")
| showAbout = self.menuHelp.Append(wx.ID_ABOUT, "&About...")

## Static Public Attributes
str | appname = 'Generic Application Frame'
str | appversion = '1.0'
str | balloonState = 'none'
str | contactemail = 'Gyedo.Jeon@disney.com'
str | contactname = 'Gyedo Jeon'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0

## Protected Attributes
| _logWin = None

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  | * | args,
|  | ** | kw )

## Member Function Documentation

## ◆ appInit()

appInit | ( |  | self | ) |

USER METHODS ### To be overridden.

Reimplemented in WxPandaShell.

## ◆ createInterface()

createInterface | ( |  | self | ) |

Reimplemented in LevelEditorUIBase, and WxPandaShell.

## ◆ createMenuBar()

createMenuBar | ( |  | self | ) |

## ◆ onDestroy()

onDestroy | ( |  | self,
|  |  | event )

Reimplemented in LevelEditorUIBase.

## ◆ quit()

quit | ( |  | self,
|  |  | event = None )

## ◆ showAbout()

showAbout | ( |  | self,
|  |  | event )

## Member Data Documentation

## ◆ _logWin

_logWin = None
| protected

## ◆ about

about

Initial value:
= wx.MessageDialog(None,
self.appname + "\n\n" +
'Version %s'%self.appversion + "\n\n" +
self.copyright + "\n\n" +
'For more information, contact:\n%s\nEmail: %s' %\
(self.contactname, self.contactemail),
"About %s"%self.appname, wx.OK | wx.ICON_INFORMATION)

## ◆ appname

str appname = 'Generic Application Frame'
| static

## ◆ appversion

str appversion = '1.0'
| static

## ◆ balloonState

str balloonState = 'none'
| static

## ◆ contactemail

str contactemail = 'Gyedo.Jeon@disney.com'
| static

## ◆ contactname

str contactname = 'Gyedo Jeon'
| static

## ◆ copyright

tuple copyright
| static

Initial value:
= ('Copyright 2008 Walt Disney Internet Group.' +
'\nAll Rights Reserved.')

## ◆ frameHeight

int frameHeight = 320
| static

## ◆ frameWidth

int frameWidth = 450
| static

## ◆ menuBar

menuBar = wx.MenuBar()

## ◆ menuFile

menuFile = wx.Menu()

## ◆ menuHelp

menuHelp = wx.Menu()

## ◆ padx

int padx = 5
| static

## ◆ pady

int pady = 5
| static

## ◆ panelCount

int panelCount = 0
| static

## ◆ quit

quit = self.menuFile.Append(wx.ID_EXIT, "&Quit")

## ◆ showAbout

showAbout = self.menuHelp.Append(wx.ID_ABOUT, "&About...")

## ◆ usecommandarea

int usecommandarea = 0
| static

## ◆ usestatusarea

int usestatusarea = 0
| static